# Configuration file for the Sphinx documentation builder.
#
# For the full list of built-in configuration values, see the documentation:
# https://www.sphinx-doc.org/en/master/usage/configuration.html

# -- Project information -----------------------------------------------------
# https://www.sphinx-doc.org/en/master/usage/configuration.html#project-information

project = 'sfg-waLBerla'
copyright = '2024, Frederik Hennig'
author = 'Frederik Hennig'


# -- General configuration ---------------------------------------------------
# https://www.sphinx-doc.org/en/master/usage/configuration.html#general-configuration

extensions = [
    "myst_parser",
    "sphinx_design",
    "sphinx_copybutton",
]

# templates_path = ['_templates']
exclude_patterns = ["*/build"]

myst_enable_extensions = [
    "colon_fence",
    "dollarmath",
    "attrs_inline",
    "attrs_block",
]

# -- Options for HTML output -------------------------------------------------
# https://www.sphinx-doc.org/en/master/usage/configuration.html#options-for-html-output

html_theme = 'sphinx_book_theme'
html_static_path = ['zipped-examples']
html_title = "sfg-waLBerla"
