from .api import real_t, Vector3, GhostLayerFieldPtr, glfield, IBlockPtr
from .sweep import Sweep
from .build_config import WalberlaBuildConfig, get_build_config

__all__ = [
    "real_t",
    "Vector3",
    "GhostLayerFieldPtr",
    "glfield",
    "IBlockPtr",
    "Sweep",
    "WalberlaBuildConfig",
    "get_build_config",
]

from . import _version

__version__ = _version.get_versions()["version"]
